Page MenuHomePhabricator

Global rename of Idh0854 → Garam: supervision needed
Closed, ResolvedPublic

Description

While we could usurp the target, the main account has > 50k edits. See the request here. If the request is finally accepted we would appreciate if you could reserve for us a window so this rename can be performed and simultaneously supervised. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jcrespo added a subscriber: jcrespo.Jun 5 2017, 3:40 PM

I won't be around on Friday or Monday. I would suggest starting it next Tuesday, assuming it is approved, and it is done by then (ping me on IRC). I would strongly suggest enrolling someone else to give the process a look- lately the database is not a problem for this kind of changes (except if maintenance is scheduled), the jobqueue is, so try to get the attention from other op or mediawiki developer that knows better about the jobqueue. The user should be aware of the posibility of an extended time without editing if something goes wrong.

@Marostegui most of the edits are on kowiki, so we should avoid schema changes on s7 at the same time- speak up if there is something programmed soon.

MarcoAurelio, as usual, thank you very much for the advanced warning!

Framawiki renamed this task from Global rename of global account with > 50k edits - supervision needed to Global rename of Idh0854 -> Garam: supervision needed.Jun 5 2017, 4:15 PM
Framawiki triaged this task as Normal priority.
Framawiki added a subscriber: Framawiki.

(it looks like these tags are for the extension itself, not for our usage on WMF wikis)

Good point @jcrespo about the alter tables :-)

MarcoAurelio moved this task from Triage to Blocked external/Not db team on the DBA board.

@greg Can we get a one hour window on wikitech:Deployments in coordination with @jcrespo and @Marostegui to do this? Thanks!

MarcoAurelio renamed this task from Global rename of Idh0854 -> Garam: supervision needed to Global rename of Idh0854 → Garam: supervision needed.Jun 13 2017, 10:21 AM
greg added a comment.Jun 13 2017, 6:46 PM

@greg Can we get a one hour window on wikitech:Deployments in coordination with @jcrespo and @Marostegui to do this? Thanks!

Sure thing, pick a time and add it, I trust you three :)

@MarcoAurelio just ping me when you want to do this.
We did (T167597) Monday morning (European morning) and we had no issues, so maybe around that time is also good for this user to be renamed too.

@MarcoAurelio please see the comment of the user in Meta!

@alanajjar: Which one and where exactly? Clear links welcome for statements, to avoid misunderstandings. :)

@Aklapper of course I talked about the comment by Idh0854 on Steward requests/Username changes.
see here

Really I start become unlike to preform this request!

MarcoAurelio changed the task status from Open to Stalled.Jun 15 2017, 4:21 PM
MarcoAurelio lowered the priority of this task from Normal to Low.

Unfortunately busy days are ahead and I'll not be able to handle this request. My plan is to decide if we really want to rename, and if so, then coordinate with @Marostegui so the renamer and him can be around checking DBs and all that.

Therefore I am setting this task as stalled given that it is not yet decided whether if the user should be renamed.

MarcoAurelio changed the task status from Stalled to Open.Jul 7 2017, 8:20 AM
MarcoAurelio claimed this task.

Mentioned in SAL (#wikimedia-operations) [2017-07-07T08:27:57Z] <TabbyCat> Starting global rename of Idh0854 → Garam (T167031)

Mentioned in SAL (#wikimedia-operations) [2017-07-07T09:30:14Z] <TabbyCat> Global rename of Idh0854 → Garam has finished (T167031)

MarcoAurelio closed this task as Resolved.Jul 7 2017, 9:31 AM
MarcoAurelio moved this task from Blocked external/Not db team to Done on the DBA board.

Thanks to @Marostegui for his help.

MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.Jul 10 2017, 2:44 PM